Page MenuHomePhabricator

stop librsvg dependency.
Needs ReviewPublic

Authored by Hermet on Jul 9 2018, 1:03 AM.

Details

Summary

from v1.21, efl officially support vector renderer and own svg loader.

Diff Detail

Repository
rEFL core/efl
Branch
devs/hermet/bugfix
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 6799
Build 6809: arc lint + arc unit
Hermet created this revision.Jul 9 2018, 1:03 AM
Hermet requested review of this revision.Jul 9 2018, 1:03 AM
zmike added a subscriber: stefan_schmidt.

Adding @stefan_schmidt to evaluate since the alpha has already gone out.

This patch should be pushed through CI in a dev branch (link result here) before landing.

Hermet updated this revision to Diff 15521.Jul 9 2018, 5:42 AM

stop librsvg dependency.

from v1.21, efl officially support vector renderer and own svg loader.

Hermet added a comment.EditedJul 9 2018, 5:46 AM
In D6530#112103, @zmike wrote:

Adding @stefan_schmidt to evaluate since the alpha has already gone out.

This patch should be pushed through CI in a dev branch (link result here) before landing.

hmm... come to think of it, we cannot apply this right now even though svg loaders are duplicated.
That rsvg is used by image object, not vg object...

We need a choice to drop this image svg loader officially.

In that case it would be best to wait until 1.21 is out. At that point we can decide what to do with the image loader and do deeper surgery if needed. @Hermet, on IRC you said its fine to wait until 1.21 is out. I think that would be the best approach. We can have the patch sit here until then and updated if needed when we come to it.

vtorri added a subscriber: vtorri.Oct 2 2019, 12:05 PM

shouldn't this be abandoned and rewritten for meson build system ?

zmike added a comment.Oct 3 2019, 4:26 AM

I don't think it would be much work to update, the question is whether we should.

vtorri added a comment.Oct 3 2019, 5:33 AM

we have plenty of dependencies, so if we can remove some, that would simplify everybody's life